Subject: Re: JMP> From Harry and Tom: Simple solution to Code Set identification

From: Tom Hastings <[email-masked]>
Date: Tue, 29 Jul 1997 15:09:02 PDT

Fine.

I'll leave these changes out and we will discuss issues 111 and 112
at the Seattle meeting in August.

Tom

At 13:19 07/29/97 PDT, Ron Bergman wrote:
>Tom,
>
>I recommend that these changes NOT be incorporated into a document
>that is posted as an Internet-Draft until the group can do a
>through review.  I still do not understand the impact of UTF-8
>and from the recent email on the PWG issue, I am not alone.
>
>To expect responses in such a short time is unreasonable.  I am
>sure that the update you are working on will not be the final
>document for Proposed Standard.  We should have plenty of time
>to properly resolve this issue.
>
>	Ron Bergman
>	Dataproducts Corp.
>
>
>
>On Tue, 29 Jul 1997, Tom Hastings wrote:
>
>> In order to avoid a flood of mail, I talked with Harry on simple
>> solutions to the code set identification problem (Issues 111 and 112).
>> 
>> We agreed on the following simple solutions which should satisy
>> David Perkin's comment and the Area Directors warning not to leave
>> the coded character set ambiguous to applications.
>> 
>> I'm going to edit the following into the draft this afternoon
>> in order to meet tommorrows deadline for the next Internet-Draft, 
>> unless I hear problems.
>> 
>> Tom
>> 
>> ISSUE 111 (restated):  How does an application determine the coded character 
>> set for the objects and attributes that the agent generates (that cannot
come 
>> from the job submitter)?  
>> 
>> The following 3 objects and attributes are in question:
>> 
>>   jmGeneralJobSetName object
>>   processingMessage attribute
>>   physicalDevice (name value) attribute
>> 
>> Suggested solution:  Use UTF-8 only for these 3 objects/attributes.
>> 
>> 
>> 
>> ISSUE 112 (re-stated):  How does a management application determine the
>> coded character set for the per-job objects and attributes that are returned
>> by the agent (whether submitted by the job submitter or defaulted by the
>> agent when the job submitter does not supply).
>> 
>> The following 19 per-job objects and attributes are in question:
>> 
>> IETF Job object/attributes   Equivalent IPP attributes
>> --------------------------   -------------------------
>> jmJobOwner object            "job-originating-user"
>> other,                       -
>> unknown,                     -
>> serverAssignedJobName,       -
>> jobName,                     "job-name"
>> jobAccountName,              -
>> submittingServerName,        -
>> submittingApplicationName,   -
>> jobOriginatingHost,          "job-originating-host"
>> deviceNameRequested,         "printer-uri"
>> queueNameRequested,          -
>> fileName,                    "document-uri"
>> documentName,                "document-name"
>> jobComment,                  -
>> outputBin (name),            -
>> mediumRequested (name),      "media"
>> mediumConsumed (name),       -
>> colorantRequested (name),    -
>> colorantConsumed (name)      -
>> 
>> 
>> Suggested solution:
>> 
>> Add a jobCodedCharSet job attribute that identifies the IANA character set
>> that the agent is using to represent the job objects and attributes whether
>> supplied by the job submitter or defaulted by the server/device when the job
>> submitter does not supply.  If the agent doesn't know what the coded
>> character set that the job submitter used, the agent SHALL either (1) omit
>> the jobCodedCharSet attribute or (2) return the value 'unknown(2)' as the
>> value of the jobCodedCharSet attribute.
>> 
>> 
>> 
>
>
>